+++
Categories = []
Tags = []
date = "2016-08-21T23:37:49-04:00"
menu = "main"
title = "CV"

+++

Joshua M. Boniface

joshua@boniface.me | 289-208-2830 | 1483 Epping Court, Burlington, ON L7M1P7

https://www.boniface.me | https://github.com/joshuaboniface | https://www.linkedin.com/in/joshuamboniface

## Profile

I am a driven, service-oriented individual with a strong knowledge of Linux administration and computer networking. I enjoy working with a strong team, and am independent and goal focused, always seeking out new knowledge to broaden my skill set and contribute to more efficient and well-operating systems. My deep knowledge of Linux systems and standard administration allows me to focus effectively on key problems and ensure continued successful operations. I am well-versed in scripting and orchestration in a modern DevOps framework and have experience running small- to mid-sized computing environments of up to several thousand VMs and terabytes of storage.

## Primary Skills

* Linux systems, in particular Debian GNU/Linux and Red Hat Enterprise Linux/CentOS environments, storage subsystems including Ceph object storage, DRBD, and ZFS/XFS/ext4 filesystems, and IP networking and routing.
* Linux applications including Apache and Nginx web stacks, Postfix/Dovecot/Courier email stacks, HAProxy, BIND9, PowerDNS, ISC-DHCP, OpenLDAP, RADIUS, and KVM/QEMU and Xen virtualization with Libvirt and Pacemaker.
* Administration of MySQL, PostgreSQL and MongoDB databases.
* Scripting in BASH and Python, including significant understanding of programming fundamentals.
* Orchestration and configuration management using Ansible, Puppet, and bcfg2, including custom roles and modules, and monitoring of large environments with Nagios, Icinga, Check_MK, and Sensu.
* Internetwork routing and advanced networking, including network design and capacity planning, troubleshooting, and maintenance.
* Customer service and writing, including technical and customer-focused writing and communication.

## Educational History

#### Mohawk College (Hamilton, ON) - Network Engineering and Security Analyst
* Sep 2008 - Dec 2012 (completed diploma)

#### Carleton University (Ottawa, ON) - Bachelor of Computer Science
* Sep 2007 - May 2008 (incomplete; two semesters)

## Employment History

#### [Clearcable Connects](https://clearcable.ca) (Hamilton, ON) - Senior Systems Architect
* Oct 2018 - present

In the role of Senor Systems Architect I provide operational support, research, and development to the Clearcable Standard Operating Environment (SOE) through a DevOps mentality and mentorship of teammates. In this role I have been responsible for several major projects, including the deployment of my [Parallel Virtual Cluster](https://github.com/parallelvirtualcluster/pvc) hypervisor platform for customer systems to provide greater resilience and reduce administrative burden, the creation of several additional deployment methodologies for the SOE system including support for a wide range of underlying hypervisors, the continued improvement of our monitoring frameworks, and the tight integration of Ansible and Infrastructure-as-code into our team systems administration workflows. This role has also necessitated the development of several tools and utilities, mostly using Python, for internal use, as well as the documentation and training of staff in their use, as well as the continued improvement of existing tools and workflows. In the sub-role as deployment specialist, I have deployed over 20 new customer systems from pre-sales to completion, along with continued day-to-day maintenance of our SOE systems.

####  [VM Farms](https://vmfarms.com) (Toronto, ON) - Linux DevOps Administrator, Operations Technical Lead
* Aug 2016 – Sept 2018

In the role of Linux System Administrator I provided management of systems for web application developers within the framework of a DevOps operations service providing consulting advice and managed hosting. Using both an in-house Xen based cloud as well as various remote computing services including AWS, I helped ensure the continued operation of the platform as well as the day-to-day administration of customer systems. Utilizing configuration management with Puppet and Ansible, I provisioned and managed applications serving millions of users and using multiple web development stacks, HTTP servers, and database backends, in addition to various proxying, queueing and caching applications. During late 2017 and 2018 in the role of Technical Lead for Operations, I assisted in the training of new employees and daily technical decisions with a mind for best-practices, and interacted regularly and in-depth with customers using various communication tools.

#### [Clearcable Network Services](https://clearcable.ca) (Hamilton, ON) - Linux System Administrator
* Jan 2013 – Jul 2016

In the role of System Administrator I used my skills with internetworking and Linux servers to ensure the proper operation of the Clearcable Networks Standard Operating Environment, a Debian GNU/Linux-based Internet Service Provider platform running on Cisco UCS hardware, and using Xen virtualization and bcfg2 configuration management. This included management of provider-grade services including DNS with BIND9; ISC DHCP in advanced configurations; Postfix/Courier email stacks; monitoring with Icinga and Munin; server hardware maintenance and support including full system rebuilds, hardware performance analysis and troubleshooting. I contributed advancements to the platform, assisting in its continued development and growth, including a major distribution upgrade project and implementation of live migration functionality to the platform using DRBD. During oncall rotation and daily support tasks, I also assisted in the deployment and maintenance of service provider networking, including routing and CMTS/ DOCSIS and VoIP access technologies to ensure the optimal operation of our client systems.

#### [HHS Population Health Research Institute](https://www.phri.ca) (Hamilton, ON) - Systems Administrator, co-op
* Sep 2010 – Aug 2011

In the role of Student (Co-Op) Administrator, I was responsible for day-to-day support of desktop systems and users, including deployment of new systems, hardware replacement/reimaging, and management of accounts with Active Directory. A long-term project during my tenure was an extensive documentation of the site datacenter including diagramming and inventory of the facility.

#### The Home Depot (Burlington, ON) - Special Services, Tool Rental, Electrical, Cashier
* Oct 2006 – Jan 2013

## Independent Projects

#### [Parallel Virutal Cluster (PVC)](https://docs.parallelvirtualcluster.org)

Parallel Virtual Cluster (PVC) is a virtual machine-based hyperconverged infrastructure (HCI) virtualization cluster solution that is fully Free Software, scalable, redundant, self-healing, self-managing, and designed for administrator simplicity. I started the project in mid-2018 and continue maintaining and advancing it to the present.

#### [Jellyfin](https://jellyfin.org)

I am the project leader/coordinator and release manager for the Jellyfin project, the Free Software Media System that puts you in control of managing and streaming your media. I began the project with several other interested parties as a fork of the Emby media server in late 2018 and continue managing it to the present.

## Personal Interests 

In addition to my work and experience above, I am interested in Fantasy and Science Fiction literature, repairing and building computers and electronics, gardening, various DIY projects, performing and composing music, astronomy and astrophysics, and science and technology papers and books.
